<?php

namespace App\Enums;

enum BonusStatusEnum: string
{
    case PENDING = 'pending';

    case SUCCESS = 'success';

    public function label(): string
    {
        return match ($this) {
            self::PENDING => 'Pending',
            self::SUCCESS => 'Success',
        };
    }

    public static function values(): array
    {
        return array_column(self::cases(), 'value');
    }
}
